## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Update Databricks Authorization

#### Request

PUT

/v1/databricks-auth

##### cURL

```bash
curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/databricks-auth \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "connectionId": "<string>",
  "host": "<string>",
  "httpPath": "<string>",
  "port": 123,
  "accessToken": "<string>",
  "clientId": "<string>",
  "clientSecret": "<string>"
}
'
```

##### Python

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/databricks-auth"

payload = {
    "version": 123,
    "connectionId": "<string>",
    "host": "<string>",
    "httpPath": "<string>",
    "port": 123,
    "accessToken": "<string>",
    "clientId": "<string>",
    "clientSecret": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

##### JavaScript (Fetch API)

```javascript
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    version: 123,
    connectionId: '<string>',
    host: '<string>',
    httpPath: '<string>',
    port: 123,
    accessToken: '<string>',
    clientId: '<string>',
    clientSecret: '<string>'
  })
};

fetch('https://{tenant}.mindbridge.ai/api/v1/databricks-auth', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

##### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/databricks-auth",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'version' => 123,
    'connectionId' => '<string>',
    'host' => '<string>',
    'httpPath' => '<string>',
    'port' => 123,
    'accessToken' => '<string>',
    'clientId' => '<string>',
    'clientSecret' => '<string>'
]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

##### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/databricks-auth"

payload := strings.NewReader("{\n  \"version\": 123,\n  \"connectionId\": \"<string>\",\n  \"host\": \"<string>\",\n  \"httpPath\": \"<string>\",\n  \"port\": 123,\n  \"accessToken\": \"<string>\",\n  \"clientId\": \"<string>\",\n  \"clientSecret\": \"<string>\"}\n")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

##### Unirest (Java)

```java
HttpResponse<String> response = Unirest.put("https://{tenant}.mindbridge.ai/api/v1/databricks-auth")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"version\": 123,\n  \"connectionId\": \"<string>\",\n  \"host\": \"<string>\",\n  \"httpPath\": \"<string>\",\n  \"port\": 123,\n  \"accessToken\": \"<string>\",\n  \"clientId\": \"<string>\",\n  \"clientSecret\": \"<string>\"}")
  .asString();
```

##### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/databricks-auth")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"version\": 123,\n  \"connectionId\": \"<string>\",\n  \"host\": \"<string>\",\n  \"httpPath\": \"<string>\",\n  \"port\": 123,\n  \"accessToken\": \"<string>\",\n  \"clientId\": \"<string>\",\n  \"clientSecret\": \"<string>\"}\n"

response = http.request(request)
puts response.read_body
```

#### Response

200 - application/json

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "connectionId": "<string>",
  "host": "<string>",
  "port": 123,
  "httpPath": "<string>",
  "clientId": "<string>"
}
```

### Authorizations

#### Authorization
 - **Type**: string (header)
 - **Required**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Body

#### required fields

- **version**: integer<int64>
- **connectionId**: string
- **authType**: enum<string>
- **host**: string
- **httpPath**: string

### Additional fields
 - **port**: integer<int32>
 - **accessToken**: string (write-only)
 - **clientId**: string
 - **clientSecret**: string (write-only)
